# prof-oms

Profanity (https://profanity-im.github.io/) plugin to encrypt and decrypt omemo media shared attachment.

CONTENTS                                                               *prof-oms*

    1. Intro ................................................... |prof-oms-intro|
    2. Requirements ..................................... |prof-oms-requirements|
    3. Usage ................................................... |prof-oms-usage|
    4. Licence ............................................... |prof-oms-licence|
===============================================================================
1. Intro                                                         *prof-oms-intro*

Profanity Plugin to Decrypt/Save or Encrypt/Upload attachments in OMEMO session.

2. Requirements                                           *prof-oms-requirements*

Works with python3

pip install -r requirements.txt

3. Usage                                                         *prof-oms-usage*

Installation:

```
/plugins install prof-oms.py
```

Usage:

```
/omemo sendfile on # Enable sending unencrypted files in a OMEMO session via /sendfile.
```
```
/oms send <file_path> # Set the path to sore downloaded content.
```
```
/oms get <url> # Save a aesgcm link contents.
```
```
/oms setdir <folder> # Send encrypted file to chat recipient or muc.
```

4. Licence                                                     *prof-oms-licence*

Public Domain
